﻿html, body {
    margin: 0;
    padding: 0;
    height: 100%;
}

.page {
    display: flex;
    flex-direction: column;
    height: 100vh; /* full viewport height */
    background-color: #2A2673;
}

main {
    flex: 1; /* fills space between navbar & footer */
    overflow-y: auto; /* only body scrolls */
}

.content {
    padding: 1rem;
}


html {
    @apply antialiased;
}

.chart-container {
    height: 320px;
    position: relative;
}

.y-axis {
    position: absolute;
    top: 0;
    height: 100%;
}

.bar {
    transition: height 0.3s ease;
}

.pie-chart {
    width: 200px;
    height: 200px;
    border-radius: 50%;
    background: conic-gradient( #F6845D 0% 40%, #F3A656 40% 50%, #4698E7 50% 60%, #38B77D 60% 100% );
    position: relative;
}

.pie-chart2 {
    width: 200px;
    height: 200px;
    border-radius: 50%;
    background: conic-gradient( #F6845D 0% 30%, #F3A656 30% 40%, #4698E7 40% 50%, #38B77D 50% 70%, #dbb5ca 70% 100% );
    position: relative;
}

@keyframes fadeInOut {
    0%, 20% {
        opacity: 1;
    }

    30%, 50% {
        opacity: 0;
    }

    55%, 100% {
        opacity: 1;
    }
}

.word {
    position: absolute;
    opacity: 0;
    animation: fadeInOut 8s infinite;
}

    .word:nth-child(1) {
        animation-delay: 0s;
    }

    .word:nth-child(2) {
        animation-delay: 5s;
    }

.scrollbar-custom::-webkit-scrollbar {
    width: 10px;
}

.scrollbar-custom::-webkit-scrollbar-thumb {
    background-color: #B5B3E6;
    border-radius: 10px;
}

.scrollbar-custom::-webkit-scrollbar-track {
    background: #5f5f61;
}


.scrollbar-custom {
    scrollbar-width: thin;
    scrollbar-color: #5f5f61 #dddde0;
}

.modal {
    display: none;
}

#modal:target {
    display: flex;
}


.login-container {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    padding: 20px;
    box-sizing: border-box;
    transition: padding-bottom 0.3s ease;
}

.login-card {
    background-color: #2E2473;
    padding: 30px;
    border-radius: 10px;
    width: 320px;
    text-align: center;
    position: relative;
    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.2);
}

.logo img {
    width: 80px;
}

.logo h2 {
    color: white;
    margin-top: 10px;
}

.avatar {
    position: absolute;
    top: -20px;
    right: -20px;
    background: #3a913f;
    color: white;
    border-radius: 50%;
    width: 40px;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-weight: bold;
    border: 2px solid white;
}

.form-group {
    margin-top: 15px;
}

    .form-group input {
        width: 100%;
        padding: 10px;
        border-radius: 5px;
        border: none;
        outline: none;
    }

.password-group {
    position: relative;
}

.eye-icon {
    position: absolute;
    right: 10px;
    top: 10px;
    cursor: pointer;
}

.login-button {
    background-color: #FFD43B;
    border: none;
    padding: 10px;
    width: 100%;
    border-radius: 5px;
    margin-top: 20px;
    font-size: 16px;
    font-weight: bold;
    cursor: pointer;
    color: #2E2473;
}



@keyframes fadeIn {
    0% {
        opacity: 0;
        transform: scale(0.95);
    }

    100% {
        opacity: 1;
        transform: scale(1);
    }
}

.animate-fade-in {
    animation: fadeIn 0.8s ease-out forwards;
}
.my-marker-label {
    background-color: white;
    margin-bottom: 3rem;
    padding: 0.1rem;
    border-radius: 3px;
}
.bg-primary {
    background-color: #2A2673;
}
.h-card{
    height:8px;
}
.bg-green-btn {
    background-color: #34D399 !important;
}
.text-dispatcher{
    color:#201F5C;
}
.text-dispatcher2 {
    color: #2B358A;
}
.bg-unpaid {
    background-color: #F87171;
}
.bg-paid {
    background-color: #34D399;
}
.bg-FCD34D{
        background-color: #FCD34D;
}
.text-1C194D{
    color: #1C194D;
}
.bg-322E8A{
    background-color: #322E8A;
}
.bg-4941DC{
    background-color: #4941DC;
}
bg-383399{
    background-color: #383399;
}
.text-B5B2E6{
    color: #B5B2E6;
}
.bg-4F46E5{
    background-color: #4F46E5;
}
.text-EFEEF6{
    color: #EFEEF6;
}
.simpletouch-category-item-icon {
    max-width: 40px;
    margin-bottom: 6px;
}
.aspect-square{
    aspect-ratio: 1 / 1;
}
.w-100 {
    width: 100%;
}
.modal-radius {
    border-radius: 12px;
}